﻿using System;
using System.Collections.Generic;
using System.Text;
using Imple.Parse;

namespace Imple.Ex
{
    class NodeLevelTooLowException : RSSException
    {
        private ParseNode _previous;
        private ParseNode _current;

        public NodeLevelTooLowException(ParseNode previous, ParseNode curret)
        {
            _previous = previous;
            _current = curret;
        }

        public override string Message
        {
            get
            {
                return string.Format("previous node {0}'s level is larger than current {1}",
                    _previous, _current);
            }
        }
    }
}
