﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Imple.Ex
{
    class VersionNotSupportedException : RSSException
    {
        private string _version;
        public VersionNotSupportedException(string version)
        {
            _version = version;
        }

        public override string Message
        {
            get
            {
                return string.Format("version '{0}' not supported.", _version);
            }
        }
    }
}
