﻿using System;
using System.Collections.Generic;
using System.Text;
using IFs;
using System.IO;
using Imple.Entities;

namespace Imple.Parse
{
    public abstract class AbstractParser : IFeedParser
    {
        protected Stream _targetStream;
        protected ParseNode _currentNode;

        public virtual Stream TargetStream
        {
            set { this._targetStream = value; }
        }

        public abstract bool ParseNext();
        public abstract ParseNode CurrentNode { get; }
        public abstract bool ValidateTree(ParseTree tree);
    }
}
