﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace Imple.Parse
{
    public class ParseNode
    {
        public XmlNodeType NodeType { get; set; }
        public string Value { get; set; }
        public string LocalName { get; set; }
        public int Level { get; set; }

        public ParseNode AboveParent { get; set; }
        public ParseNode BelowParent { get; set; }
        public List<ParseNode> Children { get; set; }
        public ParseNode Sibling { get; set; }

        public override string ToString()
        {
            return string.Format("【localname: {0},value:{1},level:{2}】",
                LocalName, Value, Level);
        }
    }
}
